XWALLPAPER(1)

NAME
xwallpaper - wallpaper setting utility for X

SYNOPSIS
xwallpaper [- -screen screen] [- -daemon] [- -debug] [- -no-randr] [- -output output] [- -center file] [- -maximize file] [- -stretch file] [- -tile file] [- -zoom file] [- -version]

DESCRIPTION
The xwallpaper program allows you to set image files as your X wallpaper. PNG file format is supported by default and preferred, but optional JPEG support exists as well.

The wallpaper is also advertised to programs which support semi-transparent backgrounds.

OPTIONS
The various options are as follows:

- -center file
    Centers the input file on the screen. If the dimensions of the input file are smaller than the screen dimensions, the remaining area is filled black. If the input file dimensions are too large, parts of the image will be cropped.

- -daemon
    Keeps xwallpaper running in background, listening for RandR events. In this mode, the wallpapers are redrawn when output sizes change. This option can only be used when RandR support is available and activated.

- -debug
    Displays debug messages on the standard error output while xwallpaper is running. If used in conjunction with - -daemon the process will not modify the standard input and outputs.

- -maximize file
    Maximizes input file to fit screen without cropping. This could mean zooming in or out, depending on the dimensions of the input file and the screen. This option guarantees that the whole image is seen. If the ratio does not fit the screen, the remaining area is filled black. The image itself will be centered on screen.

- -no-randr
    Ignores individual outputs and uses the whole screen instead. This is the area that spans across all different outputs (monitors).

- -output output
    Specifies the output on which a subsequently supplied file shall be set as wallpaper. You can retrieve a list of outputs on your system by executing xrandr(1). If no output is specified, all outputs will be modified individually. The special keyword all will repeat subsequent actions on all displays.

- -screen screen
    Specifies a screen by its screen number. Normally all screens of an X display are processed. Please note that a screen is not a single monitor. See - -output for such a use case above. If the screen could not be found, nothing happens.

- -stretch file
    Stretches input file to fully cover the screen. If the aspect ratio of the input file does not match the screen, then the ratio of the input file is adjusted.

- -tile file
    Uses tiling mode. Draws the input file at the upper left corner of the screen and repeats the image until the remaining area of the screen is covered.

- -version
    Prints version and exits.

- -zoom file
    Zooms input file to fit screen with cropping. This could mean zooming in or out, depending on the dimensions of the input file and the screen. If the ratio does not fit the screen, parts of the input file will not be shown. The image itself will be centered on screen. Default behaviour if no option was selected.

If multiple contradicting options were given, the last supplied option wins. It is also possible to repeat output arguments without any subsequent files. In that case, the last mode and file will be reused.

EXAMPLES
Centers a PNG file as a wallpaper on LVDS-1:
    $ xwallpaper --output LVDS-1 --center file.png

Tiles a PNG file as a wallpaper across all outputs:
    $ xwallpaper --no-randr --tile file.png

Zooms into a JPEG file as a wallpaper on each output individually:
    $ xwallpaper --zoom file.jpg

Centers and recenters a JPEG file after output updates on all outputs:
    $ xwallpaper --daemon --center file.jpg

Tiles a JPEG file as a wallpaper on VGA-1 and zooms into a PNG file on LVDS-1:
    $ xwallpaper --output VGA-1 --tile file.jpg --output LVDS-1 --zoom file.png

BUGS
Use the GitHub issue tracker: https://github.com/stoeckmann/xwallpaper/issues

AUTHOR
Tobias Stockmann <tobias@stoeckmann.org>